Page MenuHomePhabricator

LiquidThreads to Flow/StructuredDiscussions script has an exception due to Pimple.
Closed, ResolvedPublic

Description

I've been working on upgrading from MW 1.27 to 1.30. As part of that upgrade I found that LiquidThreads broke more (depreciated functions) and figured I'd check out Flow. Unfortunately trying out the converter on a test page ran across this Exception.

$ php convertLqtPageOnLocalWiki.php --srcpage Draft_talk:QC_a_maintenance --logfile=/tmp/flow.log

[96e8cdd1ead0d9d5e8769fd0] [no req]   InvalidArgumentException from line 229 of mw30/w/extensions/Flow/vendor/pimple/pimple/src/Pimple/Container.php: Identifier "memcache.local_buffered" is not defined.
Backtrace:
#0 mw30/w/extensions/Flow/maintenance/convertLqtPageOnLocalWiki.php(33): Pimple\Container->extend(string, Closure)
#1 mw30/w/maintenance/doMaintenance.php(92): ConvertLqtPageOnLocalWiki->execute()
#2 mw30/w/extensions/Flow/maintenance/convertLqtPageOnLocalWiki.php(87): require_once(string)
#3 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2018, 7:42 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 8 2018, 7:42 PM
Vvjjkkii renamed this task from LiquidThreads to Flow/StructuredDiscussions script has an exception due to Pimple. to gdbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from gdbaaaaaaa to LiquidThreads to Flow/StructuredDiscussions script has an exception due to Pimple..Jul 2 2018, 3:04 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 2 2018, 10:54 PM

Change 457946 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/Flow@master] Remove custom cache hack

https://gerrit.wikimedia.org/r/457946

Change 457946 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Remove custom cache hack

https://gerrit.wikimedia.org/r/457946

Etonkovidova closed this task as Resolved.Sep 25 2018, 7:48 PM